var widget, images;

//Startup on ready
jQuery(function(){
	//Hide the backend and show the frontend
	$('#backend').hide();
	$('#info').hide();
	$('#frontend').show();
	
	images = {};

	var manifest = [
		{src:"assets/ClockFaceDigital.png", id:"ClockFaceDigital"},
		{src:"assets/ClockFaceDigitalCorrect.png", id:"ClockFaceDigitalCorrect"},
		{src:"assets/ClockFaceDigitalIncorrect.png", id:"ClockFaceDigitalIncorrect"},
		{src:"assets/ClockFaceCentre.png", id:"ClockFaceCentre"},
		{src:"assets/ClockHandleButtonUp.png", id:"ClockHandleButtonUp"},
		{src:"assets/ClockHandleButtonDown.png", id:"ClockHandleButtonDown"},
		{src:"assets/ClockHandleMinutes.png", id:"ClockHandleMinutes"},
		{src:"assets/ClockHandleHours.png", id:"ClockHandleHours"},
		{src:"assets/ClockFaceAnalog.png", id:"ClockFaceAnalog"},
		{src:"assets/ClockFaceAnalogCorrect.png", id:"ClockFaceAnalogCorrect"},
		{src:"assets/ClockFaceAnalogIncorrect.png", id:"ClockFaceAnalogIncorrect"},
		{src:"assets/ClockMessage.png", id:"ClockMessage"}
	];

	var loader = new PreloadJS(false);
	loader.onFileLoad = function(o) {
		if (o.type == "image") { images[o.id] = o.result; }
	}
	
	loader.onComplete = function() {
		console.log("onComplete");
		
		//Init the stage
		var canvas = document.getElementById("stage");
		widget = new ClockWidget(canvas);
	};
	loader.loadManifest(manifest);
});





